Package: grails.dev.commands

## [Groovy] Class ApplicationContextCommandRegistry

- grails.dev.commands.ApplicationContextCommandRegistry

-     @groovy.transform.CompileStatic
      class ApplicationContextCommandRegistry
      extends java.lang.Object

  A registry of {@grails.dev.commands.ApplicationContextCommand} instances

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.util.Map<java.lang.String, ApplicationCommand>` | `commands` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ApplicationContextCommandRegistry ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `()`
    `` | `static ApplicationCommand` | `findCommand(java.lang.String name)`
    `` | `static java.util.Collection<ApplicationCommand>` | `findCommands()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.util.Map<java.lang.String, ApplicationCommand> commands

  - ### Constructor Detail

    - #### ApplicationContextCommandRegistry()

  - ### Method Detail

    - #### static void ()

    - #### static ApplicationCommand findCommand(java.lang.String name)

    - #### static java.util.Collection<ApplicationCommand> findCommands()